--- title: "System Avatar" slug: "partner-api-global-system-avatar" updated: 2022-07-04T10:11:10Z published: 2022-07-04T10:11:11Z canonical: "developer.comm100.com/partner-api-global-system-avatar" --- > ## Documentation Index > Fetch the complete documentation index at: https://developer.comm100.com/llms.txt > Use this file to discover all available pages before exploring further. # System Avatar - `System Avatars` - System Avatars Manage - `GET global/systemAvatars` - [Get the list of System Avatars](/docs/partner-api-global-system-avatar#get-the-list-of-system-avatars) - `GET global/systemAvatars/{id}` - [Get a single System Avatar](/docs/partner-api-global-system-avatar#get-a-single-system-avatar) ## System Avatar JSON Format System Avatar is represented as simple flat JSON objects with the following keys: | Name | Type | Description | | --- | --- | --- | | `id` | guid | ID of the system avatar. | | `description` | string | Description of the system avatar. | | `avatarImage` | string | URL of the system avatar. | ## Get the list of System Avatars `GET global/systemAvatars` - #### Parameters: No Parameters - #### Response: An array of [System Avatar](/docs/partner-api-global-system-avatar#system-avatar-json-format) - #### Example Sample Request: ``` curl https://partnerapi.comm100.io/v4/global/systemAvatars \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "1b14ede0-9682-4551-8042-e48e750d38bd", "avatarImage": "https://partner.comm100.io/api/Global/systemAvatars/2d83d4fd-3114-eb11-80fc-00155d081d0b/avatarImage?PartnerId=10000&version=6fe5d3698cd57ada6f64aa4efe831d31&signature=A8KO9C1BAEQDgsJaWNQf9Ks306s", "description": "" } ] ``` ## Get a single System Avatar `GET global/systemAvatars/{id}` - #### Parameters: No Parameters - #### Example Sample Request: ``` curl https://partnerapi.comm100.io/v4/global/systemAvatars/1b14ede0-9682-4551-8042-e48e750d38bd \ -X 'GET' \ -H 'Authorization: Bearer {access_token}' \ ``` Response: HTTP/1.1 200 OK ``` [ { "id": "1b14ede0-9682-4551-8042-e48e750d38bd", "avatarImage": "https://partner.comm100.io/api/Global/systemAvatars/2d83d4fd-3114-eb11-80fc-00155d081d0b/avatarImage?PartnerId=10000&version=6fe5d3698cd57ada6f64aa4efe831d31&signature=A8KO9C1BAEQDgsJaWNQf9Ks306s", "description": "" } ] ```